## Index

### Enumerations

- AssetType
- CompressionAlgorithm
- Endian

### Classes

- AGALMiniAssembler
- AssetLibrary
- AssetManifest
- Assets
- ByteArray
- Future
- IAssetCache
- IDataInput
- IDataOutput
- Timer

### Functions

- getDefinitionByName
- getQualifiedClassName
- getQualifiedSuperclassName
- getTimer

## Functions

### getDefinitionByName

- getDefinitionByName(name: string): any

- - Defined in lib/openfl/utils/getDefinitionByName.d.ts:3

  #### Parameters

  - ##### name: string

  #### Returns any

### getQualifiedClassName

- getQualifiedClassName(value: any): string

- - Defined in lib/openfl/utils/getQualifiedClassName.d.ts:3

  #### Parameters

  - ##### value: any

  #### Returns string

### getQualifiedSuperclassName

- getQualifiedSuperclassName(value: any): string

- - Defined in lib/openfl/utils/getQualifiedSuperclassName.d.ts:3

  #### Parameters

  - ##### value: any

  #### Returns string

### getTimer

- getTimer(): number

- - Defined in lib/openfl/utils/getTimer.d.ts:3

  #### Returns number

Generated using TypeDoc